//package cn.iocoder.yudao.module.shipment.controller.app;
//
//import cn.iocoder.yudao.framework.common.pojo.CommonResult;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
//import cn.iocoder.yudao.framework.security.core.util.SecurityFrameworkUtils;
//import cn.iocoder.yudao.module.shipment.service.box.BoxService;
//import cn.iocoder.yudao.module.shipment.vo.box.*;
//import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetApplyReq;
//import cn.iocoder.yudao.module.shipment.vo.boxCabinet.BoxCabinetLoadVO;
//import cn.iocoder.yudao.module.shipment.vo.boxCabinetUnload.BoxUnloadApplyReq;
//import cn.iocoder.yudao.module.shipment.vo.boxCustoms.BoxCustomsApplyReq;
//import cn.iocoder.yudao.module.shipment.vo.boxLoadInfo.BoxLoadBatchRemoveReqVO;
//import cn.iocoder.yudao.module.shipment.vo.boxLoadInfo.BoxLoadInfoBatchAddReqVO;
//import cn.iocoder.yudao.module.shipment.vo.boxOrderExit.BoxOrderExitCreateReqVO;
//import cn.iocoder.yudao.module.shipment.vo.boxPreloadGoods.BoxLoadOrderVO;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiImplicitParam;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//
//import javax.annotation.Resource;
//import javax.validation.Valid;
//
//import java.util.List;
//
//import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
//
//@Validated
//@RestController
//@Api(tags = "web端 - app - 我的出货")
//@RequestMapping("/my/shipment")
//public class MyBoxController {
//
//    @Resource
//    private BoxService boxService;
//
//    @PostMapping("/loadPage")
//    @ApiOperation("获得装柜出货分页, use this")
//    public CommonResult<PageResult<BoxBackVO>> getBoxLoadPage(@Valid @RequestBody MyBoxLoadQueryVO query) {
//        PageResult<BoxBackVO> pageResult = boxService.getBoxLoadPage(query);
//        return success(pageResult);
//    }
//
//    @PostMapping("/unloadPage")
//    @ApiOperation("获得卸柜出货分页, use this")
//    public CommonResult<PageResult<BoxBackVO>> getBoxUnloadPage(@Valid @RequestBody MyBoxUnloadQueryVO query) {
//        PageResult<BoxBackVO> pageResult = boxService.getBoxUnloadPage(query);
//        return success(pageResult);
//    }
//
//    @PostMapping("/exitPage")
//    @ApiOperation("获得退场出货分页, use this")
//    public CommonResult<PageResult<BoxBackVO>> getBoxExitPage(@Valid @RequestBody MyBoxExitQueryVO query) {
//        PageResult<BoxBackVO> pageResult = boxService.getBoxExitPage(query);
//        return success(pageResult);
//    }
//
//
//    @GetMapping("/cabinetDetail")
//    @ApiImplicitParam(name = "shipmentId", value = "ID", required = true, example = "1", dataTypeClass = Long.class)
//    @ApiOperation("获得装柜详情")
//    public CommonResult<BoxCabinetLoadVO> getBoxCabinetDetail(@RequestParam("shipmentId") Long shipmentId) {
//        return success(boxService.getBoxCabinetDetail(shipmentId));
//    }
//
//    @GetMapping("/cabinetUnloadDetail")
//    @ApiImplicitParam(name = "shipmentId", value = "ID", required = true, example = "1", dataTypeClass = Long.class)
//    @ApiOperation("获得卸柜详情")
//    public CommonResult<BoxCabinetLoadVO> getBoxCabinetUnloadDetail(@RequestParam("shipmentId") Long shipmentId) {
//        return success(boxService.getBoxCabinetUnloadDetail(shipmentId));
//    }
//
//    @GetMapping("/cabinetExitDetail")
//    @ApiImplicitParam(name = "shipmentId", value = "ID", required = true, example = "1", dataTypeClass = Long.class)
//    @ApiOperation("获得退场详情")
//    public CommonResult<BoxCabinetLoadVO> getBoxCabinetExitDetail(@RequestParam("shipmentId") Long shipmentId) {
//        return success(boxService.getBoxCabinetExitDetail(shipmentId));
//    }
//
//    @GetMapping("/cabinetExitList")
//    @ApiImplicitParam(name = "shipmentId", value = "ID", required = true, example = "1", dataTypeClass = Long.class)
//    @ApiOperation("获得退场订单列表")
//    public CommonResult<List<BoxLoadOrderVO>> getBoxCabinetExitList(@RequestParam("shipmentId") Long shipmentId) {
//        return success(boxService.getBoxCabinetExitList(shipmentId));
//    }
//
//    @PostMapping("/closureApply")
//    @ApiOperation("封柜申请")
//    public CommonResult<Boolean> closureApply(@RequestBody BoxCabinetApplyReq applyReq) {
//        boxService.closureApply(applyReq);
//        return success(true);
//    }
//
//    @PostMapping("/unloadApply")
//    @ApiOperation("卸柜申请")
//    public CommonResult<Boolean> unloadApply(@RequestBody BoxUnloadApplyReq applyReq) {
//        boxService.unloadApply(applyReq);
//        return success(true);
//    }
//
//    @PostMapping("/confirmArrival")
//    @ApiOperation("确认到仓")
//    public CommonResult<Boolean> confirmArrival(@RequestBody BoxCustomsApplyReq applyReq) {
//        boxService.confirmArrival(applyReq);
//        return success(true);
//    }
//
//    @PostMapping("/changeContainer")
//    @ApiOperation("更换货柜号重发")
//    public CommonResult<Boolean> changeContainer(@RequestBody BoxChangeReqVO req) {
//        boxService.changeContainer(req);
//        return success(true);
//    }
//
//    @PostMapping("/batchCreate")
//    @ApiOperation("批量装柜")
//    public CommonResult<Boolean> batchCreate(@Valid @RequestBody BoxLoadInfoBatchAddReqVO createReqVO) {
//        boxService.boxLoadBatchCreate(createReqVO);
//        return success(true);
//    }
//
//    @PostMapping("/batchRemove")
//    @ApiOperation("批量纠错")
//    public CommonResult<Boolean> batchRemove(@Valid @RequestBody BoxLoadBatchRemoveReqVO createReqVO) {
//        boxService.batchRemove(createReqVO);
//        return success(true);
//    }
//
//    @PostMapping("/exitOrder")
//    @ApiOperation("退场订单")
//    public CommonResult<Boolean> exitOrder(@RequestBody BoxOrderExitCreateReqVO createReqVO) {
//        boxService.exitOrder(createReqVO);
//        return success(true);
//    }
//
//
//
//}
